unit UnitA;
interface
uses
  UnitB;

type
  TIntAliasA = Integer;

  TEnumA = (OneA, TwoA);

  TArrA = array['a'..'z'] of TEnumA;

  TSetA = set of TEnumA;

  TMyScriptClass = class
    FX: TObject;
  public
    FY: Integer;
    constructor Create;
    destructor Destroy; override;
    procedure MethodP(X, Y: Integer); 
    function MethodF: Integer; // virtual;
    class procedure MethodCP;
    property Y: Integer read FY write FY;
  published
    property X: TObject read FX write FX; 
  end;


function FuncA(X, Y: Integer): Integer;
procedure ProcA;

var XA: Integer = 55;

const
  SA: Integer = 11;

implementation

constructor TMyScriptClass.Create;
begin
  inherited;
  writeln('Create');
end;

destructor TMyScriptClass.Destroy;
begin
  writeln('Destroy');
  inherited;
end;

procedure TMyScriptClass.MethodP(X, Y: Integer);
begin
  writeln('MethodP', X, Y);
end;

function TMyScriptClass.MethodF: Integer;
begin
  writeln('MethodF');
end;

class procedure TMyScriptClass.MethodCP;
begin
  writeln('MethodCP');
end;


function FuncA(X, Y: Integer): Integer;
begin
  PB(1, 2, 3);
  try
    result := X + Y;
  finally
    writeln('123');
  end;
end;

procedure ProcA;
begin
  writeln('ProcA');
end;

end.